
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.meme.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.meme.MemeMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class MemeModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, MemeMod.MODID);
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> MEME = REGISTRY.register("meme",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.meme.meme")).icon(() -> new ItemStack(MemeModItems.PEPEGA_HELMET.get())).displayItems((parameters, tabData) -> {
				tabData.accept(MemeModItems.THICK_OF_IT.get());
				tabData.accept(MemeModItems.NEVER_GONNA_GIVE_YOU_UP.get());
				tabData.accept(MemeModItems.PEPEGA_HELMET.get());
				tabData.accept(MemeModItems.BAN_HAMMER.get());
				tabData.accept(MemeModItems.WE_DIDNT_RIG_THE_MOB_VOTE.get());
				tabData.accept(MemeModBlocks.BITCOIN_ORE.get().asItem());
				tabData.accept(MemeModBlocks.BITCOIN_BLOCK.get().asItem());
				tabData.accept(MemeModBlocks.PIZZERIA_TILES.get().asItem());
				tabData.accept(MemeModBlocks.PIZZA_COVERED_PIZZERIA_TILES.get().asItem());
				tabData.accept(MemeModItems.FNAF_SONG.get());
				tabData.accept(MemeModItems.MOLDY_PIZZA.get());
				tabData.accept(MemeModItems.CHEESE.get());
				tabData.accept(MemeModItems.DOGECOIN.get());
				tabData.accept(MemeModItems.PLINK.get());
				tabData.accept(MemeModItems.GIGACHAD.get());
				tabData.accept(MemeModItems.SKIBIDI_TOILET.get());
				tabData.accept(MemeModItems.BUT_YOU_DIDNT_HAVE_TO_CUT_ME_OFF.get());
				tabData.accept(MemeModItems.WANT_YOU_GONE_OTAMATONE.get());
				tabData.accept(MemeModItems.WANT_YOU_GONE.get());
				tabData.accept(MemeModItems.OTAMATONE.get());
				tabData.accept(MemeModItems.THE_BIG_BANG_THEORY.get());
				tabData.accept(MemeModBlocks.CELEBRATE_POSTER.get().asItem());
				tabData.accept(MemeModBlocks.PIZZERIA_WALLS.get().asItem());
			})

					.build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {

			tabData.accept(MemeModItems.BITCOIN.get());

		}
	}
}
